org.richfaces.renderkit.html

## Class NullConverterScript

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase
  - - org.ajax4jsf.javascript.JSLiteral
    - - org.richfaces.renderkit.html.NullConverterScript

- All Implemented Interfaces:
    Serializable, ScriptString, ScriptWithDependencies, ResourceLibrary

      public class NullConverterScript
      extends JSLiteral
      implements ScriptWithDependencies

  This class represents "dummy" converter call ( just refference to "value" variable )
  Author:
    asmirnov
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.javascript.JSLiteral

      `EMPTY_HASH, EMPTY_LIST`

    - ### Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullConverterScript()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `Iterable<ResourceKey>` | `getResources()` Returns a list of resources contained in this resource library

    - ### Methods inherited from class org.ajax4jsf.javascript.JSLiteral

      `appendScript, getLiteral`

    - ### Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.javascript.ScriptString

      `appendScript, appendScriptToStringBuilder, toScript`

- - ### Constructor Detail

    - #### NullConverterScript

          public NullConverterScript()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getResources

          public Iterable<ResourceKey> getResources()

      Description copied from interface: `ResourceLibrary`

      Returns a list of resources contained in this resource library

      The result does not have to be stable; i.e. the returned list of resources may differ for each execution based on context, configuration, time, etc.

      Specified by:
        `getResources` in interface `ResourceLibrary`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.